Get Credit Lines
curl --request POST \
--url https://api.kraken.com/0/private/CreditLines \
--header 'API-Key: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"nonce": 123,
"rebase_multiplier": "rebased"
}
'import requests
url = "https://api.kraken.com/0/private/CreditLines"
payload = {
"nonce": 123,
"rebase_multiplier": "rebased"
}
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-Key': '<api-key>',
'API-Sign': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({nonce: 123, rebase_multiplier: 'rebased'})
};
fetch('https://api.kraken.com/0/private/CreditLines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/0/private/CreditLines"
payload := strings.NewReader("{\n \"nonce\": 123,\n \"rebase_multiplier\": \"rebased\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": [],
"result": {
"asset_details": {
"USD": {
"balance": "1000.5000",
"hold_trade": "0.0000",
"credit": "50000.0000",
"credit_used": "12500.0000"
},
"EUR": {
"balance": "500.2500",
"hold_trade": "100.0000",
"credit": "25000.0000",
"credit_used": "5000.0000"
}
},
"limits_monitor": {
"total_credit_usd": "100000.0000",
"total_credit_used_usd": "25000.0000",
"total_collateral_value_usd": "150000.0000",
"equity_usd": "125000.0000",
"ongoing_balance": "1.5000",
"debt_to_equity": "0.2000"
}
}
}Account Data
Get Credit Lines
Retrieve all credit line details for VIPs with this functionality.
API Key Permissions Required: Funds permissions - Query
POST
/
private
/
CreditLines
Get Credit Lines
curl --request POST \
--url https://api.kraken.com/0/private/CreditLines \
--header 'API-Key: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"nonce": 123,
"rebase_multiplier": "rebased"
}
'import requests
url = "https://api.kraken.com/0/private/CreditLines"
payload = {
"nonce": 123,
"rebase_multiplier": "rebased"
}
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-Key': '<api-key>',
'API-Sign': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({nonce: 123, rebase_multiplier: 'rebased'})
};
fetch('https://api.kraken.com/0/private/CreditLines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/0/private/CreditLines"
payload := strings.NewReader("{\n \"nonce\": 123,\n \"rebase_multiplier\": \"rebased\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": [],
"result": {
"asset_details": {
"USD": {
"balance": "1000.5000",
"hold_trade": "0.0000",
"credit": "50000.0000",
"credit_used": "12500.0000"
},
"EUR": {
"balance": "500.2500",
"hold_trade": "100.0000",
"credit": "25000.0000",
"credit_used": "5000.0000"
}
},
"limits_monitor": {
"total_credit_usd": "100000.0000",
"total_credit_used_usd": "25000.0000",
"total_collateral_value_usd": "150000.0000",
"equity_usd": "125000.0000",
"ongoing_balance": "1.5000",
"debt_to_equity": "0.2000"
}
}
}Authorizations
The "API-Key" header should contain your API key.
Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.
Query Parameters
Public wallet account ID. Omit to use the authenticated user's default wallet. See List Wallet Accounts.
Body
application/json
Was this page helpful?